class MongoException(Exception):
    pass


class MongoConnectionException(MongoException):
    pass


class MongoQueryException(MongoException):
    pass


class MongoEncryptionException(MongoException):
    pass


class MongoRecordInsertionException(MongoQueryException):
    pass


class MongoFindException(MongoQueryException):
    pass


class MongoDeleteException(MongoQueryException):
    pass


class MongoUpdateException(MongoQueryException):
    pass


class MongoUnknownDatatypeException(MongoEncryptionException):
    pass
